Ticket #1172 (new bug)

Opened 2 years ago

Last modified 2 years ago

sip4 crash on Ubuntu 10.10 when trying to use Visualization widgets

Reported by: pirobot Owned by:
Milestone: Component: library
Severity: major Keywords: visualization sip4
Cc: pirobot Blocking:
Blocked By:

Description

I am trying out Orange for the first time on an Ubuntu 10.10 (Maveric) machine using Python 2.6. Whenever I connect a Visualization widget to a File widget, Orange immediately aborts with the error:

python: /build/buildd/sip4-qt3-4.10.5/siplib/siplib.c:2600: sip_api_parse_result: Assertion `assign_helper != ((void *)0)' failed.
Aborted

I get the same error whether I install Orange from debian packages or compile from source (Mercurial clone). I have spent several hours on this to no avail. I hope there is a fix because I would sure like to use visualization!

Thanks.

Change History

comment:1 Changed 2 years ago by ales

I think this is problem with PyQwt5 build you are using. See  this thread for more information.

comment:2 Changed 2 years ago by pirobot

Thanks for the link! In the meantime, I installed Orange on a Ubuntu 11.04 machine and everything works fine. So I may just upgrade my 10.10 machine to 11.04 or 11.10.

Note: See TracTickets for help on using tickets.